### Method

# FwupdPlugin EfiHardDriveDevicePath compare

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efi_hard_drive_device_path_compare (
      FuEfiHardDriveDevicePath* dp1,
      FuEfiHardDriveDevicePath* dp2
    )

#### Description [src]

Compares two EFI HardDrive `DEVICE_PATH`s.

Available since: 2.0.0

#### Parameters

`dp2`

  Type: `FuEfiHardDriveDevicePath`

  A `FuEfiHardDriveDevicePath`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` is considered equal.